import { SubDeviceInfo } from '../deviceinfo';
import { DeviceClient } from './device_client';
import GatewayService from '../services/gateway_service';
import { IDeviceTransportCtor, IDeviceClientOptions } from '../interfaces';
export declare class GatewayClient extends DeviceClient {
    loginedSubDeviceMap: Map<string, SubDeviceInfo>;
    subDeviceManagement: GatewayService;
    constructor(TransportCtor: IDeviceTransportCtor, options: IDeviceClientOptions);
    private _autoLoginSubDevices;
}
