/// <reference types="node" />
export interface IUpstreamResponse<T> {
    id: string;
    code: number;
    data: T;
    message?: string;
}
export declare class UpstreamResponse<T> {
    id: string;
    code: number;
    data: T;
    message?: string;
    constructor(payload: Buffer);
    private _decodePayload;
}
