"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Topic of invoking device services (non-passthrough) */
exports.serviceTopic = {
    requestTopic: '/sys/%s/%s/thing/service/%s',
    requestTopicPattern: /\/sys\/(.*)\/(.*)\/thing\/service\/(.*)/
};
/** Topic of set device measurement points */
exports.setMeasurePointTopic = {
    requestTopic: '/sys/%s/%s/thing/service/measurepoint/set'
};
/** Topic of invoking device services (passthrough) */
exports.modelDownRawTopic = {
    requestTopic: '/sys/%s/%s/thing/model/down_raw',
    requestTopicPattern: /\/thing\/model\/down_raw/
};
