import TagService from './tag_service';
import CommandService from './command_service';
import GatewayService from './gateway_service';
declare class UpstreamService extends TagService {
}
declare const topics: {
    postMeasurepointTopic: import("..").ITopicConstant;
    resumeMeasurepointTopic: import("..").ITopicConstant;
    batchPostMeasurepointTopic: import("..").ITopicConstant;
    batchResumeMeasurepointTopic: import("..").ITopicConstant;
    postEventTopic: import("..").ITopicConstant;
    modelUpRawTopic: import("..").ITopicConstant;
    queryTagTopic: import("..").ITopicConstant;
    updateTagTopic: import("..").ITopicConstant;
    deleteTagTopic: import("..").ITopicConstant;
    registerDeviceTopic: import("..").ITopicConstant;
    getTopoTopic: import("..").ITopicConstant;
    addTopoTopic: import("..").ITopicConstant;
    deleteTopoTopic: import("..").ITopicConstant;
    loginSubDeviceTopic: import("..").ITopicConstant;
    batchLoginSubDeviceTopic: import("..").ITopicConstant;
    logoutSubDeviceTopic: import("..").ITopicConstant;
    subDeviceEnableTopic: import("..").ITopicConstant;
    subDeviceDisableTopic: import("..").ITopicConstant;
    subDeviceDeleteTopic: import("..").ITopicConstant;
    serviceTopic: import("..").ITopicConstant;
    setMeasurePointTopic: import("..").ITopicConstant;
    modelDownRawTopic: import("..").ITopicConstant;
    queryAttributeTopic: import("..").ITopicConstant;
    updateAttributeTopic: import("..").ITopicConstant;
    deleteAttributeTopic: import("..").ITopicConstant;
};
export { UpstreamService, CommandService, GatewayService, topics };
