"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const tag_service_1 = __importDefault(require("./tag_service"));
const command_service_1 = __importDefault(require("./command_service"));
exports.CommandService = command_service_1.default;
const gateway_service_1 = __importDefault(require("./gateway_service"));
exports.GatewayService = gateway_service_1.default;
const attributeTopics = __importStar(require("./attribute_service/attribute_topics"));
const commandTopics = __importStar(require("./command_service/command_topics"));
const gatewayTopics = __importStar(require("./gateway_service/gateway_topics"));
const tagTopics = __importStar(require("./tag_service/tag_topics"));
const tslTopics = __importStar(require("./tsl_service/tsl_topics"));
class UpstreamService extends tag_service_1.default {
}
exports.UpstreamService = UpstreamService;
const topics = Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, attributeTopics), commandTopics), gatewayTopics), tagTopics), tslTopics);
exports.topics = topics;
