"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/** Topic of reporting device measure points topic */
exports.postMeasurepointTopic = {
    requestTopic: '/sys/%s/%s/thing/measurepoint/post',
    method: 'thing.measurepoint.post'
};
/** Topic of reporting offline measure points */
exports.resumeMeasurepointTopic = {
    requestTopic: '/sys/%s/%s/thing/measurepoint/resume',
    method: 'thing.measurepoint.resume'
};
/** Topic of reporting device measure points in batch */
exports.batchPostMeasurepointTopic = {
    requestTopic: '/sys/%s/%s/thing/measurepoint/post/batch',
    method: 'thing.measurepoint.post.batch'
};
/** Topic of reporting offline measure points in batch */
exports.batchResumeMeasurepointTopic = {
    requestTopic: '/sys/%s/%s/thing/measurepoint/resume/batch',
    method: 'thing.measurepoint.resume.batch'
};
/** Topic of reporting device events (non-passthrough) */
exports.postEventTopic = {
    requestTopic: '/sys/%s/%s/thing/event/%s/post',
    method: 'thing.event.%s.post'
};
/** Topic of reporting device events (passthrough) */
exports.modelUpRawTopic = {
    requestTopic: '/sys/%s/%s/thing/model/up_raw',
    requestTopicPattern: /\/thing\/model\/up_raw/,
    method: 'thing.model.up_raw'
};
