import { DeviceInfo } from './deviceinfo';
export interface ITopicConstant {
    requestTopic: string;
    requestTopicPattern?: RegExp;
    responseTopic?: string;
    method?: string;
}
export declare class Topic {
    _deviceInfo: DeviceInfo;
    _topicContant: ITopicConstant;
    _extraInfos: string[];
    constructor(topicConstant: ITopicConstant, deviceInfo: DeviceInfo, ...extraInfos: string[]);
    _formatTopicName(topic: any): string;
    getTopicName(): string;
    getResponseTopicName(): string;
    getMethod(): string;
}
