"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const services_1 = require("../services");
var promise_util_1 = require("./promise_util");
exports.callbackToPromise = promise_util_1.callbackToPromise;
__export(require("./sign"));
/**
 * Determine if raw data stream is needed
 */
function isNeedRawPayload(topic) {
    const modelDownRawTopicPattern = services_1.topics.modelDownRawTopic.requestTopicPattern;
    const modelUpRawTopicPattern = services_1.topics.modelUpRawTopic.requestTopicPattern;
    if ((modelDownRawTopicPattern && modelDownRawTopicPattern.test(topic))
        || (modelUpRawTopicPattern && modelUpRawTopicPattern.test(topic))) {
        return true;
    }
    return false;
}
exports.isNeedRawPayload = isNeedRawPayload;
