import { SIGN_METHOD } from '../constants';
export interface ISignParams {
    clientId: string;
    deviceKey: string;
    productKey: string;
    timestamp: number;
    cleanSession?: string;
}
export declare function isSupportedSignMethod(signMethodName: SIGN_METHOD): boolean;
export declare function sign(params: ISignParams, secret: string, signMethodName: SIGN_METHOD): string;
